Search Results for

Show / Hide Table of Contents

# Interface ICloseableAd

Ad that can be closed.

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface ICloseableAd

### Properties

#### CloseButtonArea

Sets close button area factor.

##### Declaration

    double CloseButtonArea { set; }

##### Property Value

Type | Description
--- | ---
double | the percentage of the device screen that the close button should cover.

##### Remarks

Allowed range - `0...1`.

Default value is ~`0.1`.

#### CloseButtonPosition

Sets position of the close button.

##### Declaration

    AdElementPosition CloseButtonPosition { set; }

##### Property Value

Type | Description
--- | ---
AdElementPosition | Where the close button appears on the screen.

##### Remarks

Allowed values: TopLeft, TopRight.

Default is TopRight.